﻿using System;
using System.Collections.ObjectModel;

namespace Chart_GettingStarted
{
    public class ViewModel
    {
        public ObservableCollection<Model> RangeData1 { get; set; }

        public ObservableCollection<Model> RangeData2 { get; set; }

        public ObservableCollection<Model> RangeData3 { get; set; }

        public ViewModel()
        {
            RangeData1 = new ObservableCollection<Model>();
            RangeData2 = new ObservableCollection<Model>();
            RangeData3 = new ObservableCollection<Model>();

            DateTime date = new DateTime(2019, 04, 05);
            RangeData1.Add(new Model(date.AddDays(1), 20, 10));
            RangeData1.Add(new Model(date.AddDays(2), 40, 20));
            RangeData1.Add(new Model(date.AddDays(3), 50, 40));
            RangeData1.Add(new Model(date.AddDays(4), 30, 15));
            RangeData1.Add(new Model(date.AddDays(5), 50, 25));

            //RangeData2.Add(new Model(date.AddDays(1), 30, 10));
            //RangeData2.Add(new Model(date.AddDays(2), 40, 20));
            //RangeData2.Add(new Model(date.AddDays(3), 50, 30));
            //RangeData2.Add(new Model(date.AddDays(4), 30, 15));
            //RangeData2.Add(new Model(date.AddDays(5), 50, 25));

            //RangeData3.Add(new Model(10, date.AddDays(6), date.AddDays(3)));
            //RangeData3.Add(new Model(20, date.AddDays(4), date.AddDays(2)));
            //RangeData3.Add(new Model(30, date.AddDays(7), date.AddDays(5)));
            //RangeData3.Add(new Model(40, date.AddDays(7), date.AddDays(4)));
            //RangeData3.Add(new Model(50, date.AddDays(4), date.AddDays(2)));
        }
    }

    public class Model
    {
        public DateTime Date { get; set; }
        public double XValue { get; set; }
        public double High { get; set; }

        public double Low { get; set; }

        //public Model(double xValue, double high, double low)
        //{
        //    this.XValue = xValue;
        //    this.High = high;
        //    this.Low = low;
        //}

        public Model(DateTime date, double high, double low)
        {
            this.Date = date;
            this.High = high;
            this.Low = low;
        }

        //public Model(double xValue, DateTime high, DateTime low)
        //{
        //    this.XValue = xValue;
        //    this.High = high;
        //    this.Low = low;
        //}
    }
}