﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
        
        private bool isLightTheme = true;

        private void Button_Clicked(object sender, EventArgs e)
        {
            if (isLightTheme)
            {
                ICollection<ResourceDictionary> mergedDictionaries = this.Resources.MergedDictionaries;
                var lightTheme = mergedDictionaries.OfType<LightTheme>().FirstOrDefault();
                if (lightTheme != null)
                {
                    mergedDictionaries.Remove(lightTheme);
                }
                
                mergedDictionaries.Add(new DarkTheme());

                isLightTheme = false;
            }
            else
            {
                ICollection<ResourceDictionary> mergedDictionaries = this.Resources.MergedDictionaries;
                var darkTheme = mergedDictionaries.OfType<DarkTheme>().FirstOrDefault();
                if (darkTheme != null)
                {
                    mergedDictionaries.Remove(darkTheme);
                }

                mergedDictionaries.Add(new LightTheme());
                
                isLightTheme = true;
            }
        }
    }
}